Dear SKY3DS owners....

Discussion in '3DS - Flashcards & Custom Firmwares' started by sbm888, Mar 1, 2015.

  1. sbm888
    OP

    sbm888 GBAtemp Regular

    Member
    114
    47
    Jan 31, 2008
    Adelaide, Australia
    to those who actually OWN a SKY3DS (not interested if you've heard rumours or think it's possible, etc)

    what issues have you had with it? I've read that some people have save game corrupts, etc? the blue button failing, etc...

    please tell me your issues with it - I'm just about to get one... and no, I don't hate GW, I have one for my 3DS XL, i just want to share some love to my N3DSXL - it sits alone in a corner crying each night, wanting to by touched.

    EDIT - I don't want comments please on whether Ninty will/can stop Sky3DS, etc.... please don't post about speculation or limitations of the Sky3DS.
     


  2. michyprima

    michyprima GBAtemp Regular

    Member
    219
    114
    Feb 19, 2014
    Italy
    Are you going to touch it in a special way?
     
    Piepokemon, fuznug, Pox and 3 others like this.
  3. sbm888
    OP

    sbm888 GBAtemp Regular

    Member
    114
    47
    Jan 31, 2008
    Adelaide, Australia

    That's between me and my N3DSXL.... and subscribers to my livechatXXX feed. :P
     
    Piepokemon and michyprima like this.
  4. Lacius

    Lacius GBAtemp Guru

    Member
    5,631
    2,119
    May 11, 2008
    United States
    I don't own one, but I have a friend who has nothing but good things to say about it. That being said, there is a lot of speculation that a future update might kill SKY3DS. People will say that the fact Nintendo hasn't blocked it yet is reason to believe they can't, which might be true, but the evidence suggests that it should be possible. This wouldn't be the first time Nintendo took an absurd amount of time to block or patch something.
     
  5. michyprima

    michyprima GBAtemp Regular

    Member
    219
    114
    Feb 19, 2014
    Italy
    Not sure when or if they will patch it at all but they can do it.
    Sky3ds is the first iteration of a cartridge emulator; no way it's perfect. and if it's not perfect, it can be recognized.
     
  6. sbm888
    OP

    sbm888 GBAtemp Regular

    Member
    114
    47
    Jan 31, 2008
    Adelaide, Australia

    cheers for your response - I've only read good things about it too....... but I'm not really interested in speculation at this point in time...i couldn't care less what Nintendo intend to do, or what GW thinks it can do, etc. I just want pure facts - how good-reliable is Sky3DS?

    hopefully this thread doesn't get ANYONE responding with issues.... I don't want this to be a SKY3DS hate thread from all the GW lovers.
     
  7. davhuit

    davhuit GBAtemp Advanced Fan

    Member
    992
    304
    Nov 23, 2005
    France
    Same as Gateway. 9.3 update killed Gateway support, so even if 9.6 (or a higher one) would kill the Sky3DS V2, wouldn't be a big deal. Especially as we know N3DS won't have 9.5+ emunand support for now, so the N3DS won't be up-to-date, even on a Gateway).

    So to keep using it, you would just need to not update your sysnand, like you are already doing for the Gateway.

    And if you get a Sky3DS waiting for the N3DS support on Gateway, it's again less a problem, as you won't update and stay on 9.0/9.2 (where the Sky3DS will always works).

    I would say the big flaw of Sky3DS on N3DS is you can't play foreign games with the region-free exploit (you can use it with a Sky3DS on old 3DS/2DS).

    Saves corruptions, dunno, but I also got one with the Gateway so I assume it can always happen (and I never really trusted saves on any flashcards, even older systems ones). When I care about the savedate of a game (Pokemon, for example), I buy the original game.

    So for you answer, it do the job pretty fine for a N3DS. It play games of your N3DS region without any problems (though sometimes you have to wait a bit for them to update the template for the newest roms, like Majora's Mask where the update took a few days).

    Of course, as you already know because you have a Gateway for your 3DS XL, a Gateway would be better but as there is not support for N3DS right now, it's either Sky3DS or nothing, so of course, Sky3DS is far better than nothing (not hard to do).

    I would just advice to not put too much roms on it, or it could then be a pain to choose the game you want to play. Better just put 4-5 games at once, then to change when you don't want to play them anymore, as each game switch take ~8-10 secondes.

    I personally bought one to use my N3DS while waiting on the Gateway release (seems to be what you also plan to do), as I also have a Gateway for my old 3DS.

    He probably don't care about that and he's right because he'll probably sell it before it get blocked (if it's blocked one day), as he said he have a Gateway so it's seem logical to think he'll use his Gateway on his N3DS when the support will be released (if it's released one day).

    And as I said, he doesn't need to update his sysnand, and he'll probably won't update it anyway because I suppose he'll want to keep his N3DS on 9.0/9.2 ;)
     
    Margen67 likes this.
  8. michyprima

    michyprima GBAtemp Regular

    Member
    219
    114
    Feb 19, 2014
    Italy
    well from what I can see it's all about luck.
    I mean, you might get a defective one which will stop working after a month or get a good one lasting years... but this happens with all flash cards. you know, chinese stuff. build quality is not their first goal.
     
  9. Lacius

    Lacius GBAtemp Guru

    Member
    5,631
    2,119
    May 11, 2008
    United States
    I am aware that it is not perfect, which is why it should be possible to block it in a future update. This is bad for SKY3DS in particular because it requires updates to play newer games, play online, and access the eShop, but some people will claim that SKY3DS is perfect and unrecognizable.

    Before spending ~$90, it is indeed worth noting the fact that SKY3DS does behave differently from legitimate cartridges, meaning it has the potential to be blocked. You should not buy a SKY3DS unless you are willing to accept the risk that you will eventually a.) have to stay on a particular software version and be unable to play newer games, online, etc., or b.) have to update your N3DSXL and lose SKY3DS functionality.

    With regard to presently quantifiable stability and issues, my anecdotal evidence suggests that SKY3DS is as good as any other flashcard.
     
    Margen67 likes this.
  10. Ra1d

    Ra1d GBAtemp Maniac

    Member
    1,207
    675
    Jul 31, 2010
    Canada

    Except that it's different, since gateway mode has firmware spoofing so no game will ever require you to update even if your emuNAND is lower than the required version to play the game, and if an update for the game comes out(which is a must), you can just download it as a CIA and you're good, so even if they never update their emuNAND the gateway will still be good, the only thing you won't be able to access is e-Shop(because it will ask you to update).

    Just to throw it out there, because in the case of Sky3DS if it gets really blocked and a higher firmware version game comes out, you can't play it.
     
    Margen67 likes this.
  11. davhuit

    davhuit GBAtemp Advanced Fan

    Member
    992
    304
    Nov 23, 2005
    France
    Firmware spoofing is a bit useless if Nintendo implement a new function required by the games just to bother Gateway, for example ;) (and which prevent the game to boot if the function isn't here, like the N3DS encryption on 9.5?).

    But it didn't asked if a Gateway is better or not, he already have one ;)

    He just asked if Sky3DS was working fine, and yeah, it is. It do what it have to do (run roms from your N3DS region).

    Even if the Gateway release is not released before the end of the year, it'll take a while until retail games used 9.6+ firmware. Right now, no retail games require 9.x yet so it'll probably take 5-6 more months to see them (as you can see, the release date of a game doesn't match with their firmware. Majora's Mask have 7.x, Pokemon RO/SA have 7.x when Smash Bros, released before those two games have 8.x).

    9.6 is not even released yet, so I hardly think we will say retail games with 9.6 during 2015. Eshop games is another thing, but Sky3DS doesn't support Eshop games so the problem doesn't exist :)
     
  12. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Wow...way to go off topic. OP asked about sky3ds and the discussion goes to GW.
     
    sbm888 likes this.
  13. Lacius

    Lacius GBAtemp Guru

    Member
    5,631
    2,119
    May 11, 2008
    United States
    It is possible that on the N3DS without emuNAND support, a game will be released that requires a higher software version with GW firmware spoofing being inadequate. Presently, I would consider neither GW nor SKY3DS future-proof on the N3DS, and I wouldn't buy either flashcard for the N3DS, but that's my opinion.

    The difference between GW and SKY3DS, however, is that GW appears to be future-proof on the 3DS/3DSXL/2DS with emuNAND.
     
  14. davhuit

    davhuit GBAtemp Advanced Fan

    Member
    992
    304
    Nov 23, 2005
    France
    Yeah, but that's always like that with Gateway (only) users ;)

    (Personally, I don't care, I have both).
     
    Margen67 and sbm888 like this.
  15. sbm888
    OP

    sbm888 GBAtemp Regular

    Member
    114
    47
    Jan 31, 2008
    Adelaide, Australia

    I've made the font bigger, so the GW users can spot it now.
     
  16. Lacius

    Lacius GBAtemp Guru

    Member
    5,631
    2,119
    May 11, 2008
    United States
    You are the one who brought up Gateway. :P
     
    Ericss and michyprima like this.
  17. davhuit

    davhuit GBAtemp Advanced Fan

    Member
    992
    304
    Nov 23, 2005
    France
    I'm the one who said it might be blocked? That it might be a bad choice because of games with new firmwares? Not at all (and he said in his first post he didn't care about what Nintendo could do about it, so block it or whatever).

    I talked about it to answer your message, which shouldn't have anything to do here, he never asked about "will it be blocked or other things like that?".

    He just, more or less, asked : "Does it get the job done?"

    And I quote your post "I don't own one" and he asked for "Sky3DS owners" (only) opinions so...

    So as I said before :

    - No problems of saves for now, but I would never trust any flashcards for long-time saves.
    - Make the roms of your N3DS region works fine.

    And that's all he need to know.
     
  18. Ra1d

    Ra1d GBAtemp Maniac

    Member
    1,207
    675
    Jul 31, 2010
    Canada

    That's not possible since firmware spoofing is present even if you don't install emuNAND, let alone having a lower version emuNAND.

    Edit***

    NVM, you said software version, agreed. xD
     
  19. Lacius

    Lacius GBAtemp Guru

    Member
    5,631
    2,119
    May 11, 2008
    United States
    Saying that SKY3DS has the potential to be blocked was a legitimate concern worth addressing in the context of thread (before the OP edited the first post). There was no reason to bring up Gateway before hypocritically blaming Gateway users for bringing up Gateway.

    Yes, to provide my second-hand account of a non-Temper not having any issues with SKY3DS. I intentionally kept my extraneous points brief.

    As davhuit already explained, a new game could require additional functionality that firmware spoofing alone cannot provide. An update might legitimately be required to play the game, which would suck without emuNAND.
     
    Margen67 likes this.
  20. davhuit

    davhuit GBAtemp Advanced Fan

    Member
    992
    304
    Nov 23, 2005
    France
    I don't think so, as it can't really be blocked magically so no real need to say it. Nintendo can't block it on a 9.0/9.2 N3DS (what he should have), they can only block it in a update (9.6) like any flashcard, and he'll never update, as he also have a Gateway (and even if he would update, he would just need to wait a few days after each firmware release, what each flashcard owners do).

    People who buy a Sky3DS because they are fed up waiting for Gateway will never see the block, even if one appear one day, because they'll have sell the Sky3DS was before the block might appear (if they didn't sold it when it appear, would be bad because that would mean Gateway support was never released).

    But that's just my opinion anyway, so whatever.

    sbm888 : As I said before, can't really argue more about Sky3DS. It works like he should do and don't really see more things to say about it. Of course, I am talking of the V2/Blue Version, V1/Red version shouldn't be bought.

    If you have the money/want to use your N3DS with a flashcard waiting for Gateway to release their exploit, just buy one :) (and even if you don't want to wait and sell the other one, not a really bad choice, as long as you doesn't care about foreign games and homebrews, though you can run homebrew with Cubic Ninja anyway).